Subject: Re: [Netconf] Obsoleting Netconf over SOAP(RFC4743)/BEEP(RFC4744)

From: "Bert Wijnen (IETF)" <[email-masked]>
Date: Mon, 09 Jan 2012 16:41:45 +0100

Dear WG participants,

We asked for input on this topic on Nov 21st (2011) and
asked you to respond by Dec 15th (2011). See email below.

Sofar, we have received responses/reports of:

- ONE implementation of Netconf over BEEP
- ONE implementation of Netconf over SOAP

We have not yet heard any volunteering for updating
the Netconf over Beep document.
We have heard from 1 person who is willing to
update the Netconf over SOAP document.

The deadline was Dec 15th.

We do not think we can claim that we a good case
and enough volunteers to actually do that work.
So it seems we indeed better obsolete the two
documents:

   RFC 4743
   RFC 4744

For that, we probably have to write a small document
too. Who volunteers for that?

Bert and Mehmet.

On 11/21/11 3:10 PM, Bert Wijnen (IETF) wrote:
>
> Response requested from all WG participants by December 15th 2011.
>
> During our meeting at IETF82, the question was raised if
> we should consider to obsolete (and make HISTORIC) 2 of
> the NETCONF transport protocols:
>
> - RFC4743 - Netconf over SOAP
> - RFC4744 - Netconf over BEEP
>
> It was noted, that they are currently at PS (Proposed Standard),
> but that they have a normative reference to the obsoleted Netconf
> Protocol (RFC4741). They cannot just depend on the new RFC6241
> without being updated to also support the :base:1.1 capability,
> specifically:
>
> o Introduced a NETCONF username and a requirement for transport
> protocols to explain how a username is derived.
>
> One option would be to do a revision of those 2 RFCs (similar
> to the revision of RFC6242 (which obsoleted RFC4742) and
> rfc5539-bis work.
>
> However, it seems that as a WG, we should ONLY consider that
> option IF:
>
> 1 - There are multiple implementations
> 2 - There is real production deployment
> 3 - There are multiple people in the WG who want to work
> on such a revision.
> 4 - The existing implementations (if any) are also willing
> to implement such a revision
>
> Without that, it seems that OBSOLETING is the best path forward.
>
> We (WG chairs) propose that the default path forward will be
> to obsolete RFC4743 and RFC4744.
>
> Anyone opposing that, please speak up asap but do so
> BEFORE December 15.
>
> And, if you do object, then please include answers to
> the 4 IFs above.
>
> Anyone in support of "obsoleting RFC4743 and RFC4744",
> please let us know by December 15 as well. It is good to
> also know that we have indeed WG consensus on this.
>
> The editors/authors of the documents have been (bbc) copied.
>
> Bert and Mehmet.
>
>
>
>
> _______________________________________________
> Netconf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netconf
>

---

From: Tomoyuki Iijima <[email-masked]>
Date: Wed, 11 Jan 2012 10:18:29 +0900

Hi,

 > So it seems we indeed better obsolete the two

Regarding RFC 4743, I was asked by chairs privately to answer following 
questions in the mailing list. For what it's worth, let me answer here.

- Your company(Hitachi)'s SOAP implementation and Alaxala's one are the 
same?
   - Yes, that's correct.

- Do you have a plan to update current implementation?
   - As of now, no, I'm just considering how to implement. As for future 
road map of commercial products, I can't say for sure (since I'm not in 
a managerial position).

Chairs, above are catching your intentions?

Kind regards,

Tomoyuki Iijima

(2012/01/10 0:41), Bert Wijnen (IETF) wrote:
> .

---

From: "Bert Wijnen (IETF)" <[email-masked]>
Date: Wed, 11 Jan 2012 09:35:37 +0100

Inline

On 1/11/12 2:18 AM, Tomoyuki Iijima wrote:
> Regarding RFC 4743, I was asked by chairs privately to answer following questions in the mailing list. For what it's worth, let me
> answer here.
>
> - Your company(Hitachi)'s SOAP implementation and Alaxala's one are the same?
> - Yes, that's correct.
>

So it is basically ONE implementation, not two.

> - As of now, no, I'm just considering how to implement. As for future road map of commercial products, I can't say for sure (since
> I'm not in a managerial position).
>

I guess you mean: you are considering how to implement the changes
needed to support the netconf 1:1 functionality which would mean
that netconf over SOAP needs to be updated.

 From that I then would conclude that you are willing to
work on this.

> Chairs, above are catching your intentions?

Yes. Hope my conclusions are also correct.
Thanks for the public posting.

Bert